﻿Imports System.IO
Imports System.Drawing
Imports Microsoft.Office.Interop


Public Class graweGrid
    Inherits System.Web.UI.UserControl
    Dim uma = New UMA()
    Dim search As String
    Dim gg = New graweGlobal()

    Protected Sub Page_Init(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load

    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load


    End Sub

    Public Property Grid() As Syncfusion.JavaScript.Web.Grid
        Get
            Return grd
        End Get
        Set(ByVal value As Syncfusion.JavaScript.Web.Grid)
            grd = value
        End Set
    End Property


    Public Property Column As Syncfusion.JavaScript.Models.Column
        Get

        End Get
        Set(value As Syncfusion.JavaScript.Models.Column)
            grd.Model.Columns.Add(value)
        End Set

    End Property

    Public Sub GetData(connString As String, selectStatement As String)

        SqlData.ConnectionString = connString
        SqlData.SelectCommand = selectStatement

        grd.AllowResizeToFit = True
        grd.AllowResizing = True
        grd.AllowSorting = True


        'Page Setup
        grd.AllowPaging = True
        grd.PageSettings.PageCount = 8
        grd.PageSettings.PageSize = 4


        'Columns and Rows style
        grd.ColumnLayout = Syncfusion.JavaScript.ColumnLayout.Fixed
        grd.ControlStyle.BorderWidth = 3
        grd.GridLines = 2

        grd.DataSource = SqlData
        grd.DataBind()


    End Sub



    Public dt As DataTable
    Public ds = New DataSet
    Public gridRow As Syncfusion.JavaScript.Web.Grid
    Public searchText As String
    Public ColumnName As DataGridColumn


    Public Event gvRowClick As EventHandler
    Public Event gvPageIndex As EventHandler
    Public Event search_TextChanged As EventHandler
    Public Event clearSearch As EventHandler
    Public Event exportExcel As EventHandler
    Public Event gvSorting As EventHandler

    Protected Sub PageIndexChanging(sender As Object, e As GridViewPageEventArgs)

        RaiseEvent gvPageIndex(sender, e)
    End Sub

    Protected Sub txtSearch_TextChanged(sender As Object, e As EventArgs) Handles txtSearch.TextChanged

        searchText = txtSearch.Text
        RaiseEvent search_TextChanged(sender, e)

    End Sub

    Protected Sub imgClearSearch_Click(sender As Object, e As EventArgs)
        txtSearch.Text = String.Empty
        RaiseEvent clearSearch(sender, e)
    End Sub

    Protected Sub imgExcel_Click(sender As Object, e As EventArgs)

    End Sub

    Protected Sub ResizeToFitGrid()
        grd.AllowResizeToFit = True

    End Sub


End Class