﻿Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.Optimization

Public Class BundleConfig
    ' For more information on Bundling, visit http://go.microsoft.com/fwlink/?LinkID=303951
    Public Shared Sub RegisterBundles(ByVal bundles As BundleCollection)
        bundles.Add(New ScriptBundle("~/bundles/WebFormsJs").Include(
                        "~/Scripts/WebForms/WebForms.js",
                        "~/Scripts/WebForms/WebUIValidation.js",
                        "~/Scripts/WebForms/MenuStandards.js",
                        "~/Scripts/WebForms/Focus.js",
                        "~/Scripts/WebForms/GridView.js",
                        "~/Scripts/WebForms/DetailsView.js",
                        "~/Scripts/WebForms/TreeView.js",
                        "~/Scripts/WebForms/WebParts.js"))

        ' Order is very important for these files to work, they have explicit dependencies
        bundles.Add(New ScriptBundle("~/bundles/MsAjaxJs").Include(
                "~/Scripts/WebForms/MsAjax/MicrosoftAjax.js",
                "~/Scripts/WebForms/MsAjax/MicrosoftAjaxApplicationServices.js",
                "~/Scripts/WebForms/MsAjax/MicrosoftAjaxTimer.js",
                "~/Scripts/WebForms/MsAjax/MicrosoftAjaxWebForms.js"))

        ' Use the Development version of Modernizr to develop with and learn from. Then, when you’re
        ' ready for production, use the build tool at http://modernizr.com to pick only the tests you need
        bundles.Add(New ScriptBundle("~/bundles/modernizr").Include(
                        "~/Scripts/modernizr-*"))

        ScriptManager.ScriptResourceMapping.AddDefinition("respond", New ScriptResourceDefinition() With {
                .Path = "~/Scripts/respond.min.js",
                .DebugPath = "~/Scripts/respond.js"})

        bundles.Add(New StyleBundle("~/bundles/Styles").Include(
             "~/Content/bootstrap.min.css",
             "~/Content/Site.css",
             "~/Content/ej/ej.widgets.core.min.css",
             "~/Content/ej/default-theme/ej.theme.min.css",
             "~/_COMMON/Styles/grawe.css"
            ))
        bundles.Add(New ScriptBundle("~/bundles/Scripts/Library").Include(
                    "~/Scripts/jquery-1.10.2.min.js",
                    "~/Scripts/jsrender.min.js",
                    "~/Scripts/jquery.easing-1.3.min.js",
                    "~/Scripts/ej/ej.web.all.min.js",
                    "~/Scripts/ej/ej.webform.min.js",
                    "~/Scripts/jquery.globalize.min.js",
                    "~/Scripts/ej.culture.hr-HR.js"
            ))

    End Sub
End Class
