﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

Public Class Functions

    Public Sub RemoveEmptyRecords(dt As DataTable)
        For i As Integer = dt.Rows.Count - 1 To 0 Step -1
            Dim row As DataRow = dt.Rows(i)
            If row.Item(0) Is Nothing Then
                dt.Rows.Remove(row)
            ElseIf row.Item(0).ToString = "" Then
                dt.Rows.Remove(row)
            End If
        Next
    End Sub

    Public Function DeleteDuplicateFromDataTable(dtDuplicate As DataTable, columnName As String) As DataTable

        Dim hashT As New Hashtable()

        Dim arrDuplicate As New ArrayList()

        For Each row As DataRow In dtDuplicate.Rows

            If hashT.Contains(row(columnName)) Then
                arrDuplicate.Add(row)
            Else
                hashT.Add(row(columnName), String.Empty)
            End If

        Next

        For Each row As DataRow In arrDuplicate
            dtDuplicate.Rows.Remove(row)
        Next

        Return dtDuplicate

    End Function

    Public Function fileExist(docFile As String) As Boolean
        If IO.File.Exists(docFile) Then
            Return True
        Else
            Return False
        End If
    End Function

End Class
