﻿Imports System.Globalization
Imports System.Threading

Public Class GRAWE
    Inherits System.Web.UI.MasterPage

    Dim menu = New Menu()
    Dim db = New Db()

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        FooterInfo()
    End Sub


#Region "METHODS"

    Sub FooterInfo()

        Dim brojKorisnika As Integer = 0


        If (ddlLanguage.SelectedValue = "hr") Then

            lblKorisnik.Text = "Logirani user : " & System.Security.Principal.WindowsIdentity.GetCurrent().Name
            lblPosluzitelj.Text = "Poslužitelj : " & Environment.MachineName
            lblServer.Text = "SQL Server : " & ConfigurationManager.AppSettings("Server")
            lblBaza.Text = "SQL Baza : " & ConfigurationManager.AppSettings("Base")
            'lblKorisnik.Attributes.Add("tooltip", UserInfo())
            lblKorisnik.Style.Add("cursor", "pointer")

            If Application("BROJ_KORISNIKA") IsNot Nothing Then
                Integer.TryParse(Application("BROJ_KORISNIKA").ToString(), brojKorisnika)
                lblBroj.Text = "Broj aktivnih korisnika : " & brojKorisnika.ToString()
            End If



        Else
            lblKorisnik.Text = "Yлогирани усер : " & Environment.UserDomainName & "\" & Environment.UserName
            lblPosluzitelj.Text = "Сервер : " & Environment.MachineName
            lblServer.Text = "СКЛ Сервер : " & ConfigurationManager.AppSettings("Server")
            lblBaza.Text = "СКЛ база : " & ConfigurationManager.AppSettings("Base")
            'lKorisnik.Attributes.Add("tooltip", UserInfo())
            lblKorisnik.Style.Add("cursor", "pointer")

            If Application("BROJ_KORISNIKA") IsNot Nothing Then
                Integer.TryParse(Application("BROJ_KORISNIKA").ToString(), brojKorisnika)
                lblBroj.Text = "Број активних корисника : " & brojKorisnika.ToString()
            End If

        End If



    End Sub

    Function UserInfo() As String

        Dim htmlUserInfo = New StringBuilder()

        Dim user = HttpContext.Current.User.Identity.Name.ToLower()
        Dim applicationMod = String.Empty
        Dim dtPartners = New DataTable()

        dtPartners = db.getPartners(ConfigurationManager.AppSettings("graweConn").ToString(), 5805)

        htmlUserInfo.Append("<table class=""tab_uloge"">")

        If user IsNot Nothing Then

            For Each dt As DataRow In dtPartners.Rows

                htmlUserInfo.Append("<tr><th colspan=""2"">Vaši podaci</th></tr>")

                htmlUserInfo.Append("<tr><td>")
                htmlUserInfo.Append("Partner ID")
                htmlUserInfo.Append("</td><td>")
                htmlUserInfo.Append(dt.Item(0))
                htmlUserInfo.Append("</td></tr>")

                htmlUserInfo.Append("<tr><td>")
                htmlUserInfo.Append("Ime i prezime")
                htmlUserInfo.Append("</td><td>")
                htmlUserInfo.Append(dt.Item(1) + " " + dt.Item(2))
                htmlUserInfo.Append("</td></tr>")

                htmlUserInfo.Append("<tr><td>")
                htmlUserInfo.Append("OIB")
                htmlUserInfo.Append("</td><td>")
                htmlUserInfo.Append(dt.Item(3))
                htmlUserInfo.Append("</td></tr>")

                htmlUserInfo.Append("<tr><td>")
                htmlUserInfo.Append("Titula")
                htmlUserInfo.Append("</td><td>")
                htmlUserInfo.Append(dt.Item(4))
                htmlUserInfo.Append("</td></tr>")

                htmlUserInfo.Append("<tr><td>")
                htmlUserInfo.Append("E-mail")
                htmlUserInfo.Append("</td><td>")
                htmlUserInfo.Append(dt.Item(5))
                htmlUserInfo.Append("</td></tr>")

                htmlUserInfo.Append("<tr><td>")
                htmlUserInfo.Append("Telefon")
                htmlUserInfo.Append("</td><td>")
                htmlUserInfo.Append(dt.Item(6))
                htmlUserInfo.Append("</td></tr>")

                Dim nadredjeni = 0
                'user.DohvatiImeNadredenog()

                If Not String.IsNullOrEmpty(nadredjeni) Then
                    htmlUserInfo.Append("<tr><td>")
                    htmlUserInfo.Append("Nadređeni")
                    htmlUserInfo.Append("</td><td>")
                    htmlUserInfo.Append(nadredjeni)
                    htmlUserInfo.Append("</td></tr>")
                End If

                htmlUserInfo.Append("</table>")
            Next


        End If

        Return htmlUserInfo.ToString()


    End Function

#End Region


#Region "EVENTS"

    Sub btnKorisnik_Click(ByVal sender As Object, ByVal e As EventArgs)

        If (toolTipKorisnik.Visible = False) Then

            toolTipKorisnik.InnerHtml = UserInfo()
            toolTipKorisnik.Visible = True

        Else
            toolTipKorisnik.Visible = False

        End If

    End Sub

    Protected Sub DropDownList_Language_SelectedIndexChanged(sender As Object, e As EventArgs)
        Session("language") = ddlLanguage.SelectedValue

        Thread.CurrentThread.CurrentCulture = New CultureInfo(ddlLanguage.SelectedValue)
        Thread.CurrentThread.CurrentUICulture = New CultureInfo(ddlLanguage.SelectedValue)

        If ddlLanguage.SelectedValue = "hr" Then
            Session("ddindex") = 0
        End If
        If ddlLanguage.SelectedValue = "sr" Then
            Session("ddindex") = 1
        End If
        Server.Transfer(Request.Path)
    End Sub

    Private Sub SetMyNewCulture(culture As String)
        Session("myapplication.language") = culture
    End Sub


#End Region
End Class